--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Create an IpAddress object. The constructor accepts either a raw four-octet string or a formatted string of integers separated by dots (i.e. &quot;10.1.2.3&quot;).
full_name: SNMP::IpAddress::new
is_singleton: true
name: new
params: (value_data)
visibility: public
